Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.factories
Class RomanNumberFactory

    java.lang.Object
      com.lowagie.text.factories.RomanNumberFactory

    public class RomanNumberFactory

extends Object

This class can produce String combinations representing a roman number.

Nested Class Summary
`private static class` | `RomanNumberFactory.RomanDigit` Helper class for Roman Digits

Field Summary
`private static RomanNumberFactory.RomanDigit[]` | `roman` Array with Roman digits.

Constructor Summary
`RomanNumberFactory()`

Method Summary
`static String` | `getLowerCaseString(int index)` Changes an int into a lower case roman number.
`static String` | `getString(int index)` Changes an int into a lower case roman number.
`static String` | `getString(int index, boolean lowercase)` Changes an int into a roman number.
`static String` | `getUpperCaseString(int index)` Changes an int into an upper case roman number.
`static void` | `main(String[] args)` Test this class using this main method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### roman

    private static final RomanNumberFactory.RomanDigit[] roman

  Array with Roman digits.

Constructor Detail

### RomanNumberFactory

    public RomanNumberFactory()

Method Detail

### getString

    public static final String getString(int index)

  Changes an int into a lower case roman number.

  Parameters:
    `index` - the original number
  Returns:
    the roman number (lower case)

### getLowerCaseString

    public static final String getLowerCaseString(int index)

  Changes an int into a lower case roman number.

  Parameters:
    `index` - the original number
  Returns:
    the roman number (lower case)

### getUpperCaseString

    public static final String getUpperCaseString(int index)

  Changes an int into an upper case roman number.

  Parameters:
    `index` - the original number
  Returns:
    the roman number (lower case)

### getString

    public static final String getString(int index,
                                         boolean lowercase)

  Changes an int into a roman number.

  Parameters:
    `index` - the original number
  Returns:
    the roman number (lower case)

### main

    public static void main(String[] args)

  Test this class using this main method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD